Consider releasing Karmic with nginx 0.7.62 vs patched 0.7.61

Bug #450874 reported by mdepot on 2009-10-14
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Unassigned
Declined for Karmic by Iulian Udrea

Bug Description

Binary package hint: nginx

Currently the nginx build slated for Karmic is version 0.7.61, plus a patch for a security problem. The nginx site currently lists 0.7.62 as stable. The difference between 0.7.61 and 0.7.62 appears to be the resolution for the security flaw, plus a number of other bug fixes, plus one very minor feature (making a new variable available). Since 0.7.62 was mainly a bug fix release and has been out for a while seemingly without regressions, please consider if Karmic should actually go out with 0.7.62 as opposed to a patched 0.7.61. Note that sid is at 0.7.62 so this should not be too much trouble. Posting this as a new issue based on suggestion in comment #11 of bug #430064 (https://bugs.launchpad.net/ubuntu/+source/nginx/+bug/430064). Thank you.

Related branches

mdepot (mdepot) on 2009-10-14
summary: - Consider releasing Karmic with 0.7.62 vs patched 0.7.61
+ Consider releasing Karmic with nginx 0.7.62 vs patched 0.7.61
Daniel Hahler (blueyed) on 2009-10-15
Changed in nginx (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
Daniel Hahler (blueyed) wrote :
Daniel Hahler (blueyed) wrote :
Changed in nginx (Ubuntu):
status: In Progress → Confirmed
Daniel Hahler (blueyed) wrote :

I'm running 0.7.62 myself since quite some time, via jdub's PPA (https://launchpad.net/~jdub/+archive/ppa) in production without any problems.
The changes include only bugfixes, plus one minor feature.

Daniel Hahler (blueyed) on 2009-10-18
Changed in nginx (Ubuntu):
status: Confirmed → New
Iulian Udrea (iulian) wrote :

There are loads of bugs fixed in 0.7.62. I see there are three reverse deps: thin1.8, puppetmaster and chef-server. Are these affected by the update? Have these packages been tested?

Changed in nginx (Ubuntu):
status: New → Incomplete
Scott Kitterman (kitterman) wrote :

I just rejected the 0.7.62 upload. This needs an FFe (I think) and at the very least Iulian's questions answered.

Scott Kitterman (kitterman) wrote :

Once this is approved, feel free to re-upload.

Daniel Hahler (blueyed) wrote :

nginx is "only" a suggests for thin1.8, puppetmaster and chef-server.
While I have not tested them, I do not believe that it would cause any regression, since they use nginx only as webserver (AFAICS). Would you consider testing all apache2 rdepends, when there's a bugfix release for it?

Scott, I don't think it needs a FFe, since there's only one new minor feature in nginx (discussed above), apart from the things changed in Debian:
 nginx (0.7.62-3) unstable; urgency=low

   * debian/rules: fix the FTBFS on sparc.

 -- Fabio Tranchitella <email address hidden> Fri, 16 Oct 2009 06:39:22 +0000
nginx (0.7.62-2) unstable; urgency=low

   * debian/rules: added --with-mail and --with-mail_ssl_module.
   * debian/patches/nginx-upstream-fair.dpatch: added support for the
     nginx-upstream-fair module. (Closes: #521447)
   * debian/patches/dlopen.dpatch: applied patch to remove the unnecesssary link
     to libdl. (Closes: #540599)

 -- Fabio Tranchitella <email address hidden> Thu, 15 Oct 2009 18:32:00 +0000
nginx (0.7.62-1) unstable; urgency=low

   * New upstream release.
   * debian/rules: added --with-ipv6. (Closes: #547249)

However, the default config appears to be broken: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=551682 - this should get resolved before uploading this again. This was added in 0.7.62-2 probably (not included in the debdiff above).

The package is available in my PPA: https://launchpad.net/~blueyed/+archive/ppa

Iulian Udrea (iulian) wrote :

Approved.

Changed in nginx (Ubuntu):
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nginx - 0.7.62-4ubuntu1

---------------
nginx (0.7.62-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #450874), remaining changes:
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.
    - Added a UFW profile set: (LP: #308695)
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Added 'etc/ufw/applications.d'
      + debian/rules: Added install rule for the nginx UFW profile.
  * Closes: LP: #260005, LP: #440888

nginx (0.7.62-4) unstable; urgency=low

  * debian/conf/nginx.conf: commented out the mail proxy example.
    (Closes: #551682)
  * debian/init.d: do not redirect the output of nginx -t.
    (Closes: #551683)

nginx (0.7.62-3) unstable; urgency=low

  * debian/rules: fix the FTBFS on sparc.

nginx (0.7.62-2) unstable; urgency=low

  * debian/rules: added --with-mail and --with-mail_ssl_module.
  * debian/patches/nginx-upstream-fair.dpatch: added support for the
    nginx-upstream-fair module. (Closes: #521447)
  * debian/patches/dlopen.dpatch: applied patch to remove the unnecesssary link
    to libdl. (Closes: #540599)

nginx (0.7.62-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: added --with-ipv6. (Closes: #547249)

nginx (0.7.61-2) unstable; urgency=low

  * debian/control: bumped Standards-Version to 3.8.3, no changes needed.
  * debian/init.d: added status action. (Closes: #541228)
  * debian/rules:
    - added -with-http_gzip_static_module. (Closes: #541229)
    - use the switch --with-cc-opt="-m32 -mcpu=ultrasparc" on sparc.
      (Closes: #543571)

 -- Daniel Hahler <email address hidden> Mon, 19 Oct 2009 23:22:06 +0200

Changed in nginx (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.